<?php

/**
 * Store Icons in an array
 *
 * @copyright   Copyright (C) 2018, Echo Plugins
 */
class EPKB_Icons {

	const CATEGORIES_ICONS = 'epkb_categories_icons';
	const DEFAULT_CATEGORY_ICON = 'ep_font_icon_document';

	public static function get_common_icons() {
		$common_kb_icons = array(
			'file-pdf-o'            => 'file-pdf-o',
			'file-text-o'           => 'file-text-o',
			'file-word-o'           => 'file-word-o',
			'file-excel-o'          => 'file-excel-o',

			'file-image-o'          => 'file-image-o',
			'file-zip-o'            => 'file-zip-o',
			'file-audio-o'          => 'file-audio-o',
			'file-video-o'          => 'file-video-o',

			'link'                  => 'link',
			'youtube-play'          => 'youtube-play',
			'download'              => 'download',
			'external-link'         => 'external-link',

			'file-code-o'           => 'file-code-o',
			'file-o'                => 'file-o',
			'Files O'               => 'files-o',
			'folder-open'           => 'folder-open',

		);

		return $common_kb_icons;
	}

	public static function get_other_icons() {

		$other_icons = array(
			'code'                  => 'code',
			'Clipboard'             => 'clipboard',
			'book'                  => 'book',
			'info-circle'           => 'info-circle',
			'question-circle'       => 'question-circle',
			'exclamation-circle'    => 'exclamation-circle',
			'database'              => 'database',
			'file-powerpoint-o'     => 'file-powerpoint-o',
			'image'                 => 'image',
			'lock'                  => 'lock',
			'print'                 => 'print',
			'user'                  => 'user',
			'glass'                 => 'glass',
			'music'                 => 'music',
			'search'                => 'search',
			'envelope-o'            => 'envelope-o',
			'heart'                 => 'heart',
			'star'                  => 'star',
			'star-o'                => 'star-o',
			'film'                  => 'film',
			'th-large'              => 'th-large',
			'th'                    => 'th',
			'th-list'               => 'th-list',
			'check'                 => 'check',
			'close'                 => 'close',
			'search-plus'           => 'search-plus',
			'search-minus'          => 'search-minus',
			'power-off'             => 'power-off',
			'signal'                => 'signal',
			'gear'                  => 'gear',
			'trash-o'               => 'trash-o',
			'home'                  => 'home',
			'clock-o'               => 'clock-o',
			'road'                  => 'road',
			'arrow-circle-o-down'   => 'arrow-circle-o-down',
			'arrow-circle-o-up'     => 'arrow-circle-o-up',
			'inbox'                 => 'inbox',
			'play-circle-o'         => 'play-circle-o',
			'rotate-right'          => 'rotate-right',
			'repeat'                => 'repeat',
			'refresh'               => 'refresh',
			'list-alt'              => 'list-alt',
			'flag'                  => 'flag',
			'headphones'            => 'headphones',
			'volume-off'            => 'volume-off',
			'volume-down'           => 'volume-down',
			'volume-up'             => 'volume-up',
			'qrcode'                => 'qrcode',
			'barcode'               => 'barcode',
			'tag'                   => 'tag',
			'tags'                  => 'tags',
			'bookmark'              => 'bookmark',
			'camera'                => 'camera',
			'font'                  => 'font',
			'bold'                  => 'bold',
			'italic'                => 'italic',
			'text-height'           => 'text-height',
			'text-width'            => 'text-width',
			'align-left'            => 'align-left',
			'align-center'          => 'align-center',
			'align-right'           => 'align-right',
			'align-justify'         => 'align-justify',
			'list'                  => 'list',
			'dedent'                => 'dedent',
			'outdent'               => 'outdent',
			'indent'                => 'indent',
			'video-camera'          => 'video-camera',
			'photo'                 => 'photo',
			'pencil'                => 'pencil',
			'map-marker'            => 'map-marker',
			'adjust'                => 'adjust',
			'tint'                  => 'tint',
			'edit'                  => 'edit',
			'pencil-square-o'       => 'pencil-square-o',
			'share-square-o'        => 'share-square-o',
			'check-square-o'        => 'check-square-o',
			'arrows'                => 'arrows',
			'step-backward'         => 'step-backward',
			'fast-backward'         => 'fast-backward',
			'backward'              => 'backward',
			'play'                  => 'play',
			'pause'                 => 'pause',
			'stop'                  => 'stop',
			'forward'               => 'forward',
			'fast-forward'          => 'fast-forward',
			'Step Forward'          => 'step-forward',
			'Eject'                 => 'eject',
			'Chevron Left'          => 'chevron-left',
			'Chevron Right'         => 'chevron-right',
			'Plus Circle'           => 'plus-circle',
			'Minus Circle'          => 'minus-circle',
			'Times Circle'          => 'times-circle',
			'Check Circle'          => 'check-circle',
			'Crosshairs'            => 'crosshairs',
			'Times Circle O'        => 'times-circle-o',
			'Check Circle O'        => 'check-circle-o',
			'Ban'                   => 'ban',
			'Arrow Left'            => 'arrow-left',
			'Arrow Right'           => 'arrow-right',
			'Arrow Up'              => 'arrow-up',
			'Arrow Down'            => 'arrow-down',
			'Share'                 => 'share',
			'Expand'                => 'expand',
			'Compress'              => 'compress',
			'Plus'                  => 'plus',
			'Minus'                 => 'minus',
			'Asterisk'              => 'asterisk',
			'Gift'                  => 'gift',
			'Leaf'                  => 'leaf',
			'Fire'                  => 'fire',
			'Eye'                   => 'eye',
			'Eye Slash'             => 'eye-slash',
			'Warning'               => 'warning',
			'Plane'                 => 'plane',
			'Calendar'              => 'calendar',
			'Random'                => 'random',
			'Comment'               => 'comment',
			'Magnet'                => 'magnet',
			'Chevron Up'            => 'chevron-up',
			'Chevron Down'          => 'chevron-down',
			'Retweet'               => 'retweet',
			'Shopping Cart'         => 'shopping-cart',
			'Folder'                => 'folder',
			'Arrow V'               => 'arrows-v',
			'Arrow H'               => 'arrows-h',
			'Bar Chart'             => 'bar-chart',
			'Twitter Square'        => 'twitter-square',
			'Facebook Square'       => 'facebook-square',
			'Camera Retro'          => 'camera-retro',
			'Key'                   => 'key',
			'Gears'                 => 'gears',
			'Comments'              => 'comments',
			'Thumbs O Up'           => 'thumbs-o-up',
			'Thumbs O Down'         => 'thumbs-o-down',
			'Star Half'             => 'star-half',
			'Heart O'               => 'heart-o',
			'Sign Out'              => 'sign-out',
			'Linkedin Square'       => 'linkedin-square',
			'Thumb Tack'            => 'thumb-tack',
			'Sign In'               => 'sign-in',
			'Trophy'                => 'trophy',
			'Github Square'         => 'github-square',
			'Upload'                => 'upload',
			'Lemon O'               => 'lemon-o',
			'Phone'                 => 'phone',
			'Square O'              => 'square-o',
			'Bookmark O'            => 'bookmark-o',
			'Phone Square'          => 'phone-square',
			'Twitter'               => 'twitter',
			'Facebook'              => 'facebook',
			'Github'                => 'github',
			'Unlock'                => 'unlock',
			'Credit Card'           => 'credit-card',
			'RSS'                   => 'rss',
			'HDD O'                 => 'hdd-o',
			'Bullhorn'              => 'bullhorn',
			'bell'                  => 'bell',
			'Certificate'           => 'certificate',
			'Hand O Right'          => 'hand-o-right',
			'Hand O Left'           => 'hand-o-left',
			'Hand O Up'             => 'hand-o-up',
			'Hand O Down'           => 'hand-o-down',
			'Arrow Circle Left'     => 'arrow-circle-left',
			'Arrow Circle Right'    => 'arrow-circle-right',
			'Arrow Circle Up'       => 'arrow-circle-up',
			'Arrow Circle Down'     => 'arrow-circle-down',
			'Globe'                 => 'globe',
			'Wrench'                => 'wrench',
			'Tasks'                 => 'tasks',
			'Filter'                => 'filter',
			'Briefcase'             => 'briefcase',
			'Arrows Alt'            => 'arrows-alt',
			'Group'                 => 'group',
			'Cload'                 => 'cloud',
			'Flask'                 => 'flask',
			'Scissors'              => 'scissors',
			'Paperclip'             => 'paperclip',
			'Save'                  => 'save',
			'Floppy O'              => 'floppy-o',
			'Square'                => 'square',
			'Navicon'               => 'navicon',
			'Bars'                  => 'bars',
			'List UL'               => 'list-ul',
			'List OL'               => 'list-ol',
			'Strikethrough'         => 'strikethrough',
			'Underline'             => 'underline',
			'Table'                 => 'table',
			'Magic'                 => 'magic',
			'Truck'                 => 'truck',
			'Pinterest'             => 'pinterest',
			'Pinterest Square'      => 'pinterest-square',
			'Google Plus Square'    => 'google-plus-square',
			'Google Plus'           => 'google-plus',
			'Money'                 => 'money',
			'Caret Left'            => 'caret-left',
			'Caret right'           => 'caret-right',
			'Columns'               => 'columns',
			'Unsorted'              => 'unsorted',
			'Sort'                  => 'sort',
			'Sort Desc'             => 'sort-desc',
			'Sort Asc'              => 'sort-asc',
			'Envelope'              => 'envelope',
			'LinkedIn'              => 'linkedin',
			'Rotate Left'           => 'rotate-left',
			'Legal'                 => 'legal',
			'Tachometer'            => 'tachometer',
			'Comment O'             => 'comment-o',
			'Comments O'            => 'comments-o',
			'Bolt'                  => 'bolt',
			'Sitemap'               => 'sitemap',
			'Umbrella'              => 'umbrella',
			'Lightbulb O'           => 'lightbulb-o',
			'Exchange'              => 'exchange',
			'Cloud Download'        => 'cloud-download',
			'Cloud Upload'          => 'cloud-upload',
			'User MD'               => 'user-md',
			'Stethoscope'           => 'stethoscope',
			'Suitcase'              => 'suitcase',
			'Bell O'                => 'bell-o',
			'Coffee'                => 'coffee',
			'Cutlery'               => 'cutlery',
			'Building O'            => 'building-o',
			'Hospital O'            => 'hospital-o',
			'Ambulance'             => 'ambulance',
			'Medkit'                => 'medkit',
			'Fighter Jet'           => 'fighter-jet',
			'Beer'                  => 'beer',
			'H Square'              => 'h-square',
			'Plus Square'           => 'plus-square',
			'Angle Double Left'     => 'angle-double-left',
			'Angle Double Right'    => 'angle-double-right',
			'Angle Double UP'       => 'angle-double-up',
			'Angle Double Down'     => 'angle-double-down',
			'Angle Left'            => 'angle-left',
			'Angle Right'           => 'angle-right',
			'Angle Up'              => 'angle-up',
			'Angle Down'            => 'angle-down',
			'Desktop'               => 'desktop',
			'Laptop'                => 'laptop',
			'Tablet'                => 'tablet',
			'Mobile'                => 'mobile',
			'Circle O'              => 'circle-o',
			'Quote Left'            => 'quote-left',
			'quote-right'           => 'quote-right',
			'spinner'               => 'spinner',
			'circle'                => 'circle',
			'reply'                 => 'reply',
			'github-alt'            => 'github-alt',
			'folder-o'              => 'folder-o',
			'folder-open-o'         => 'folder-open-o',
			'smile-o'               => 'smile-o',
			'frown-o'               => 'frown-o',
			'meh-o'                 => 'meh-o',
			'gamepad'               => 'gamepad',
			'keyboard-o'            => 'keyboard-o',
			'flag-o'                => 'flag-o',
			'flag-checkered'        => 'flag-checkered',
			'terminal'              => 'terminal',
			'mail-reply-all'        => 'mail-reply-all',
			'reply-all'             => 'reply-all',
			'star-half-empty'       => 'star-half-empty',
			'location-arrow'        => 'location-arrow',
			'crop'                  => 'crop',
			'code-fork'             => 'code-fork',
			'unlink'                => 'unlink',
			'question'              => 'question',
			'info'                  => 'info',
			'exclamation'           => 'exclamation',
			'superscript'           => 'superscript',
			'subscript'             => 'subscript',
			'eraser'                => 'eraser',
			'puzzle-piece'          => 'puzzle-piece',
			'microphone'            => 'microphone',
			'microphone-slash'      => 'microphone-slash',
			'shield'                => 'shield',
			'calendar-o'            => 'calendar-o',
			'fire-extinguisher'     => 'fire-extinguisher',
			'rocket'                => 'rocket',
			'maxcdn'                => 'maxcdn',
			'chevron-circle-left'   => 'chevron-circle-left',
			'chevron-circle-right'  => 'chevron-circle-right',
			'chevron-circle-up'     => 'chevron-circle-up',
			'chevron-circle-down'   => 'chevron-circle-down',
			'html5'                 => 'html5',
			'css3'                  => 'css3',
			'anchor'                => 'anchor',
			'unlock-alt'            => 'unlock-alt',
			'bullseye'              => 'bullseye',
			'ellipsis-h'            => 'ellipsis-h',
			'ellipsis-v'            => 'ellipsis-v',
			'rss-square'            => 'rss-square',
			'play-circle'           => 'play-circle',
			'ticket'                => 'ticket',
			'minus-square'          => 'minus-square',
			'minus-square-o'        => 'minus-square-o',
			'level-up'              => 'level-up',
			'level-down'            => 'level-down',
			'check-square'          => 'check-square',
			'pencil-square'         => 'pencil-square',
			'external-link-square'  => 'external-link-square',
			'share-square'          => 'share-square',
			'compass'               => 'compass',
			'toggle-down'           => 'toggle-down',
			'toggle-up'             => 'toggle-up',
			'toggle-right'          => 'toggle-right',
			'euro'                  => 'euro',
			'eur'                   => 'eur',
			'gbp'                   => 'gbp',
			'dollar'                => 'dollar',
			'rupee'                 => 'rupee',
			'inr'                   => 'inr',
			'cny'                   => 'cny',
			'rmb'                   => 'rmb',
			'yen'                   => 'yen',
			'jpy'                   => 'jpy',
			'ruble'                 => 'ruble',
			'rouble'                => 'rouble',
			'rub'                   => 'rub',
			'won'                   => 'won',
			'krw'                   => 'krw',
			'bitcoin'               => 'bitcoin',
			'btc'                   => 'btc',
			'file'                  => 'file',
			'file-text'             => 'file-text',
			'sort-alpha-asc'        => 'sort-alpha-asc',
			'sort-alpha-desc'       => 'sort-alpha-desc',
			'sort-amount-asc'       => 'sort-amount-asc',
			'sort-amount-desc'      => 'sort-amount-desc',
			'sort-numeric-asc'      => 'sort-numeric-asc',
			'sort-numeric-desc'     => 'sort-numeric-desc',
			'thumbs-up'             => 'thumbs-up',
			'thumbs-down'           => 'thumbs-down',
			'youtube-square'        => 'youtube-square',
			'youtube'               => 'youtube',
			'xing'                  => 'xing',
			'xing-square'           => 'xing-square',
			'dropbox'               => 'dropbox',
			'stack-overflow'        => 'stack-overflow',
			'instagram'             => 'instagram',
			'flickr'                => 'flickr',
			'adn'                   => 'adn',
			'bitbucket'             => 'bitbucket',
			'bitbucket-square'      => 'bitbucket-square',
			'tumblr'                => 'tumblr',
			'tumblr-square'         => 'tumblr-square',
			'long-arrow-down'       => 'long-arrow-down',
			'long-arrow-up'         => 'long-arrow-up',
			'long-arrow-left'       => 'long-arrow-left',
			'long-arrow-right'      => 'long-arrow-right',
			'apple'                 => 'apple',
			'windows'               => 'windows',
			'android'               => 'android',
			'linux'                 => 'linux',
			'dribbble'              => 'dribbble',
			'skype'                 => 'skype',
			'foursquare'            => 'foursquare',
			'trello'                => 'trello',
			'female'                => 'female',
			'male'                  => 'male',
			'gittip'                => 'gittip',
			'gratipay'              => 'gratipay',
			'sun-o'                 => 'sun-o',
			'moon-o'                => 'moon-o',
			'archive'               => 'archive',
			'bug'                   => 'bug',
			'vk'                    => 'vk',
			'weibo'                 => 'weibo',
			'renren'                => 'renren',
			'pagelines'             => 'pagelines',
			'stack-exchange'        => 'stack-exchange',
			'arrow-circle-o-right'  => 'arrow-circle-o-right',
			'arrow-circle-o-left'   => 'arrow-circle-o-left',
			'toggle-left'           => 'toggle-left',
			'dot-circle-o'          => 'dot-circle-o',
			'wheelchair'            => 'wheelchair',
			'vimeo-square'          => 'vimeo-square',
			'turkish-lira'          => 'turkish-lira',
			'try'                   => 'try',
			'plus-square-o'         => 'plus-square-o',
			'space-shuttle'         => 'space-shuttle',
			'slack'                 => 'slack',
			'envelope-square'       => 'envelope-square',
			'wordpress'             => 'wordpress',
			'openid'                => 'openid',
			'bank'                  => 'bank',
			'graduation-cap'        => 'graduation-cap',
			'yahoo'                 => 'yahoo',
			'google'                => 'google',
			'reddit'                => 'reddit',
			'reddit-square'         => 'reddit-square',
			'stumbleupon-circle'    => 'stumbleupon-circle',
			'stumbleupon'           => 'stumbleupon',
			'delicious'             => 'delicious',
			'digg'                  => 'digg',
			'pied-piper-pp'         => 'pied-piper-pp',
			'pied-piper-alt'        => 'pied-piper-alt',
			'drupal'                => 'drupal',
			'joomla'                => 'joomla',
			'language'              => 'language',
			'fax'                   => 'fax',
			'building'              => 'building',
			'child'                 => 'child',
			'paw'                   => 'paw',
			'spoon'                 => 'spoon',
			'cube'                  => 'cube',
			'cubes'                 => 'cubes',
			'behance'               => 'behance',
			'behance-square'        => 'behance-square',
			'steam'                 => 'steam',
			'steam-square'          => 'steam-square',
			'recycle'               => 'recycle',
			'car'                   => 'car',
			'cab'                   => 'cab',
			'taxi'                  => 'taxi',
			'tree'                  => 'tree',
			'spotify'               => 'spotify',
			'deviantart'            => 'deviantart',
			'soundcloud'            => 'soundcloud',
			'vine'                  => 'vine',
			'codepen'               => 'codepen',
			'jsfiddle'              => 'jsfiddle',
			'life-saver'            => 'life-saver',
			'circle-o-notch'        => 'circle-o-notch',
			'rebel'                 => 'rebel',
			'ge'                    => 'ge',
			'empire'                => 'empire',
			'git-square'            => 'git-square',
			'git'                   => 'git',
			'yc-square'             => 'yc-square',
			'hacker-news'           => 'hacker-news',
			'tencent-weibo'         => 'tencent-weibo',
			'qq'                    => 'qq',
			'wechat'                => 'wechat',
			'paper-plane'           => 'paper-plane',
			'paper-plane-o'         => 'paper-plane-o',
			'history'               => 'history',
			'circle-thin'           => 'circle-thin',
			'header'                => 'header',
			'paragraph'             => 'paragraph',
			'sliders'               => 'sliders',
			'share-alt'             => 'share-alt',
			'share-alt-square'      => 'share-alt-square',
			'bomb'                  => 'bomb',
			'soccer-ball-o'         => 'soccer-ball-o',
			'futbol-o'              => 'futbol-o',
			'tty'                   => 'tty',
			'binoculars'            => 'binoculars',
			'plug'                  => 'plug',
			'slideshare'            => 'slideshare',
			'twitch'                => 'twitch',
			'yelp'                  => 'yelp',
			'newspaper-o'           => 'newspaper-o',
			'wifi'                  => 'wifi',
			'calculator'            => 'calculator',
			'paypal'                => 'paypal',
			'google-wallet'         => 'google-wallet',
			'cc-visa'               => 'cc-visa',
			'cc-mastercard'         => 'cc-mastercard',
			'cc-discover'           => 'cc-discover',
			'cc-amex'               => 'cc-amex',
			'cc-paypal'             => 'cc-paypal',
			'cc-stripe'             => 'cc-stripe',
			'bell-slash'            => 'bell-slash',
			'bell-slash-o'          => 'bell-slash-o',
			'trash'                 => 'trash',
			'copyright'             => 'copyright',
			'at'                    => 'at',
			'eyedropper'            => 'eyedropper',
			'paint-brush'           => 'paint-brush',
			'birthday-cake'         => 'birthday-cake',
			'area-chart'            => 'area-chart',
			'pie-chart'             => 'pie-chart',
			'line-chart'            => 'line-chart',
			'lastfm'                => 'lastfm',
			'lastfm-square'         => 'lastfm-square',
			'toggle-off'            => 'toggle-off',
			'toggle-on'             => 'toggle-on',
			'bicycle'               => 'bicycle',
			'bus'                   => 'bus',
			'ioxhost'               => 'ioxhost',
			'angellist'             => 'angellist',
			'cc'                    => 'cc',
			'shekel'                => 'shekel',
			'sheqel'                => 'sheqel',
			'ils'                   => 'ils',
			'meanpath'              => 'meanpath',
			'buysellads'            => 'buysellads',
			'connectdevelop'        => 'connectdevelop',
			'dashcube'              => 'dashcube',
			'forumbee'              => 'forumbee',
			'leanpub'               => 'leanpub',
			'sellsy'                => 'sellsy',
			'shirtsinbulk'          => 'shirtsinbulk',
			'simplybuilt'           => 'simplybuilt',
			'skyatlas'              => 'skyatlas',
			'cart-plus'             => 'cart-plus',
			'cart-arrow-down'       => 'cart-arrow-down',
			'diamond'               => 'diamond',
			'ship'                  => 'ship',
			'user-secret'           => 'user-secret',
			'motorcycle'            => 'motorcycle',
			'street-view'           => 'street-view',
			'heartbeat'             => 'heartbeat',
			'venus'                 => 'venus',
			'mars'                  => 'mars',
			'mercury'               => 'mercury',
			'intersex'              => 'intersex',
			'transgender-alt'       => 'transgender-alt',
			'venus-double'          => 'venus-double',
			'mars-double'           => 'mars-double',
			'venus-mars'            => 'venus-mars',
			'mars-stroke'           => 'mars-stroke',
			'mars-stroke-v'         => 'mars-stroke-v',
			'mars-stroke-h'         => 'mars-stroke-h',
			'neuter'                => 'neuter',
			'genderless'            => 'genderless',
			'facebook-official'     => 'facebook-official',
			'pinterest-p'           => 'pinterest-p',
			'whatsapp'              => 'whatsapp',
			'server'                => 'server',
			'user-plus'             => 'user-plus',
			'user-times'            => 'user-times',
			'hotel'                 => 'hotel',
			'bed'                   => 'bed',
			'viacoin'               => 'viacoin',
			'train'                 => 'train',
			'subway'                => 'subway',
			'medium'                => 'medium',
			'yc'                    => 'yc',
			'optin-monster'         => 'optin-monster',
			'opencart'              => 'opencart',
			'expeditedssl'          => 'expeditedssl',
			'battery-full'          => 'battery-full',
			'battery-three-quarters' => 'battery-three-quarters',
			'battery-half'          => 'battery-half',
			'battery-quarter'       => 'battery-quarter',
			'battery-empty'         => 'battery-empty',
			'mouse-pointer'         => 'mouse-pointer',
			'i-cursor'              => 'i-cursor',
			'object-group'          => 'object-group',
			'object-ungroup'        => 'object-ungroup',
			'sticky-note'           => 'sticky-note',
			'sticky-note-o'         => 'sticky-note-o',
			'cc-jcb'                => 'cc-jcb',
			'cc-diners-club'        => 'cc-diners-club',
			'clone'                 => 'clone',
			'balance-scale'         => 'balance-scale',
			'hourglass-o'           => 'hourglass-o',
			'hourglass-start'       => 'hourglass-start',
			'hourglass-half'        => 'hourglass-half',
			'hourglass-end'         => 'hourglass-end',
			'hourglass'             => 'hourglass',
			'hand-rock-o'           => 'hand-rock-o',
			'hand-paper-o'          => 'hand-paper-o',
			'hand-scissors-o'       => 'hand-scissors-o',
			'hand-lizard-o'         => 'hand-lizard-o',
			'hand-spock-o'          => 'hand-spock-o',
			'hand-pointer-o'        => 'hand-pointer-o',
			'hand-peace-o'          => 'hand-peace-o',
			'trademark'             => 'trademark',
			'registered'            => 'registered',
			'creative-commons'      => 'creative-commons',
			'gg'                    => 'gg',
			'gg-circle'             => 'gg-circle',
			'tripadvisor'           => 'tripadvisor',
			'odnoklassniki'         => 'odnoklassniki',
			'odnoklassniki-square'  => 'odnoklassniki-square',
			'get-pocket'            => 'get-pocket',
			'wikipedia-w'           => 'wikipedia-w',
			'safari'                => 'safari',
			'chrome'                => 'chrome',
			'firefox'               => 'firefox',
			'opera'                 => 'opera',
			'internet-explorer'     => 'internet-explorer',
			'tv'                    => 'tv',
			'contao'                => 'contao',
			'500px'                 => '500px',
			'amazon'                => 'amazon',
			'calendar-plus-o'       => 'calendar-plus-o',
			'calendar-minus-o'      => 'calendar-minus-o',
			'calendar-times-o'      => 'calendar-times-o',
			'calendar-check-o'      => 'calendar-check-o',
			'industry'              => 'industry',
			'map-pin'               => 'map-pin',
			'map-signs'             => 'map-signs',
			'map-o'                 => 'map-o',
			'map'                   => 'map',
			'commenting'            => 'commenting',
			'commenting-o'          => 'commenting-o',
			'houzz'                 => 'houzz',
			'vimeo'                 => 'vimeo',
			'black-tie'             => 'black-tie',
			'fonticons'             => 'fonticons',
			'reddit-alien'          => 'reddit-alien',
			'edge'                  => 'edge',
			'credit-card-alt'       => 'credit-card-alt',
			'codiepie'              => 'codiepie',
			'modx'                  => 'modx',
			'fort-awesome'          => 'fort-awesome',
			'usb'                   => 'usb',
			'product-hunt'          => 'product-hunt',
			'mixcloud'              => 'mixcloud',
			'scribd'                => 'scribd',
			'pause-circle'          => 'pause-circle',
			'pause-circle-o'        => 'pause-circle-o',
			'stop-circle'           => 'stop-circle',
			'stop-circle-o'         => 'stop-circle-o',
			'shopping-bag'          => 'shopping-bag',
			'shopping-basket'       => 'shopping-basket',
			'hashtag'               => 'hashtag',
			'bluetooth'             => 'bluetooth',
			'bluetooth-b'           => 'bluetooth-b',
			'percent'               => 'percent',
			'gitlab'                => 'gitlab',
			'wpbeginner'            => 'wpbeginner',
			'wpforms'               => 'wpforms',
			'envira'                => 'envira',
			'universal-access'      => 'universal-access',
			'wheelchair-alt'        => 'wheelchair-alt',
			'question-circle-o'     => 'question-circle-o',
			'blind'                 => 'blind',
			'audio-description'     => 'audio-description',
			'volume-control-phone'  => 'volume-control-phone',
			'braille'               => 'braille',
			'assistive-listening-systems' => 'assistive-listening-systems',
			'american-sign-language-interpreting' => 'american-sign-language-interpreting',
			'hard-of-hearing'       => 'hard-of-hearing',
			'glide'                 => 'glide',
			'glide-g'               => 'glide-g',
			'sign-language'         => 'sign-language',
			'low-vision'            => 'low-vision',
			'viadeo'                => 'viadeo',
			'viadeo-square'         => 'viadeo-square',
			'snapchat'              => 'snapchat',
			'snapchat-ghost'        => 'snapchat-ghost',
			'snapchat-square'       => 'snapchat-square',
			'pied-piper'            => 'pied-piper',
			'first-order'           => 'first-order',
			'yoast'                 => 'yoast',
			'themeisle'             => 'themeisle',
			'google-plus-circle'    => 'google-plus-circle',
			'google-plus-official'  => 'google-plus-official',
			'font-awesome'          => 'font-awesome',
			'handshake-o'           => 'handshake-o',
			'envelope-open'         => 'envelope-open',
			'envelope-open-o'       => 'envelope-open-o',
			'linode'                => 'linode',
			'address-book'          => 'address-book',
			'address-book-o'        => 'address-book-o',
			'address-card'          => 'address-card',
			'address-card-o'        => 'address-card-o',
			'user-circle'           => 'user-circle',
			'user-circle-o'         => 'user-circle-o',
			'user-o'                => 'user-o',
			'id-badge'              => 'id-badge',
			'id-card'               => 'id-card',
			'id-card-o'             => 'id-card-o',
			'quora'                 => 'quora',
			'free-code-camp'        => 'free-code-camp',
			'telegram'              => 'telegram',
			'thermometer-full'      => 'thermometer-full',
			'thermometer-three-quarters' => 'thermometer-three-quarters',
			'thermometer-half'      => 'thermometer-half',
			'thermometer-quarter'   => 'thermometer-quarter',
			'thermometer-0'         => 'thermometer-0'       ,
			'thermometer-empty'     => 'thermometer-empty',
			'shower'                => 'shower',
			'bathtub'               => 'bathtub'       ,
			's15'                   => 's15'       ,
			'podcast'               => 'podcast',
			'window-maximize'       => 'window-maximize',
			'window-minimize'       => 'window-minimize',
			'window-restore'        => 'window-restore',
			'window-close'          => 'window-close',
			'window-close-o'        => 'window-close-o',
			'bandcamp'              => 'bandcamp',
			'grav'                  => 'grav',
			'etsy'                  => 'etsy',
			'imdb'                  => 'imdb',
			'ravelry'               => 'ravelry',
			'eercast'               => 'eercast',
			'microchip'             => 'microchip',
			'snowflake-o'           => 'snowflake-o',
			'superpowers'           => 'superpowers',
			'wpexplorer'            => 'wpexplorer',
			'meetup'                => 'meetup'
		);
		ksort($other_icons);

		return $other_icons;
	}

	public static function get_all_icons(){
		$all_icons = array(

			//Echo Custom Icons ( Value => Name )
			'ep_font_icon_none'                         => __( '-- No Icon --',   'echo-knowledge-base' ),
			'ep_font_icon_book'                         => __( 'Book',   'echo-knowledge-base' ),
			'ep_font_icon_brief_case'                   => __( 'Brief Case'   , 'echo-knowledge-base' ),
			'ep_font_icon_building'                     => __( 'Building',   'echo-knowledge-base' ),
			'ep_font_icon_clip_board'                   => __( 'Clip Board'   , 'echo-knowledge-base' ),
			'ep_font_icon_comment'                      => __( 'Comments'     , 'echo-knowledge-base' ),
			'ep_font_icon_credit_card'                  => __( 'Credit Card'  , 'echo-knowledge-base' ),
			'ep_font_icon_data_report'                  => __( 'Data Report'  , 'echo-knowledge-base' ),
			'ep_font_icon_document'                     => __( 'Document'     , 'echo-knowledge-base' ),
			'ep_font_icon_documents'                    => __( 'Documents',  'echo-knowledge-base' ),
			'ep_font_icon_error_shield'                 => __( 'Error Shield'     , 'echo-knowledge-base' ),
			'ep_font_icon_external_link'                => __( 'External Link',   'echo-knowledge-base' ),
			'ep_font_icon_flow_chart'                   => __( 'Flow Chart',   'echo-knowledge-base' ),
			'ep_font_icon_folder'                       => __( 'Folder'    , 'echo-knowledge-base' ),
			'ep_font_icon_folder_add'                   => __( 'Folder Add'    , 'echo-knowledge-base' ),
			'ep_font_icon_folder_open'                  => __( 'Open Folder',   'echo-knowledge-base' ),
			'ep_font_icon_gear'                         => __( 'Gear'      , 'echo-knowledge-base' ),
			'ep_font_icon_gears'                        => __( 'Gears'     , 'echo-knowledge-base' ),
			'ep_font_icon_hour_glass'                   => __( 'Hour Glass', 'echo-knowledge-base' ),
			'ep_font_icon_house'                        => __( 'House'     , 'echo-knowledge-base' ),
			'ep_font_icon_info'                         => __( 'Info',   'echo-knowledge-base' ),
			'ep_font_icon_life_saver'                   => __( 'Life Saver', 'echo-knowledge-base' ),
			'ep_font_icon_light_bulb'                   => __( 'Light Bulb', 'echo-knowledge-base' ),
			'ep_font_icon_map'                          => __( 'Map'       , 'echo-knowledge-base' ),
			'ep_font_icon_money'                        => __( 'Money'     , 'echo-knowledge-base' ),
			'ep_font_icon_paperclip'                    => __( 'Paper Clip', 'echo-knowledge-base' ),
			'ep_font_icon_pencil'                       => __( 'Pencil'    , 'echo-knowledge-base' ),
			'ep_font_icon_people'                       => __( 'People',   'echo-knowledge-base' ),
			'ep_font_icon_person'                       => __( 'Person'    , 'echo-knowledge-base' ),
			'ep_font_icon_plus'                         => __( 'Plus',   'echo-knowledge-base' ),
			'ep_font_icon_question'                     => __( 'Question',   'echo-knowledge-base' ),
			'ep_font_icon_screen'                       => __( 'Screen'     , 'echo-knowledge-base' ),
			'ep_font_icon_screwdriver'                  => __( 'Screw Driver', 'echo-knowledge-base' ),
			'ep_font_icon_shopping_cart'                => __( 'Shopping Cart', 'echo-knowledge-base' ),
			'ep_font_icon_tag'                          => __( 'Tag'    , 'echo-knowledge-base' ),
			'ep_font_icon_tools'                        => __( 'Tools'        , 'echo-knowledge-base' ),
			'ep_font_icon_wrench'                       => __( 'Wrench'       , 'echo-knowledge-base' ),
			'ep_font_icon_empty_star'                   => __( 'Empty Star', 'echo-knowledge-base' ),
			'ep_font_icon_full_star'                    => __( 'Full Star' , 'echo-knowledge-base' ),
			'ep_font_icon_half_star'                    => __( 'Half Star' , 'echo-knowledge-base' ),
			'ep_font_icon_plus_box'                     => __( 'Plus Box',   'echo-knowledge-base' ),
			'ep_font_icon_minus'                        => __( 'Minus',   'echo-knowledge-base' ),
			'ep_font_icon_minus_box'                    => __( 'Minus Box',   'echo-knowledge-base' ),
			'ep_font_icon_up_arrow'                     => __( 'Up Arrow',   'echo-knowledge-base' ),
			'ep_font_icon_down_arrow'                   => __( 'Down Arrow', 'echo-knowledge-base' ),
			'ep_font_icon_right_arrow'                  => __( 'Right Arrow', 'echo-knowledge-base' ),
			'ep_font_icon_left_arrow'                   => __( 'Left Arrow', 'echo-knowledge-base' ),
			'ep_font_icon_error_circle'                 => __( 'Error Circle',   'echo-knowledge-base' ),
			'ep_font_icon_error_oct'                    => __( 'Error Octagon',   'echo-knowledge-base' ),
			'ep_font_icon_error_triangle'               => __( 'Error Triangle',   'echo-knowledge-base' ),
			'ep_font_icon_arrow_carrot_up_circle'       => __( 'Arrow Up Circle',   'echo-knowledge-base' ),
			'ep_font_icon_arrow_carrot_right_circle'    => __( 'Arrow Right Circle',   'echo-knowledge-base' ),
			'ep_font_icon_arrow_carrot_down_circle'     => __( 'Arrow Down Circle',   'echo-knowledge-base' ),
			'ep_font_icon_arrow_carrot_left_circle'     => __( 'Arrow Left Circle',   'echo-knowledge-base' ),
			'ep_font_icon_arrow_carrot_left'            => __( 'Arrow Carrot Left',   'echo-knowledge-base' ),
			'ep_font_icon_arrow_carrot_right'           => __( 'Arrow Carrot Right',   'echo-knowledge-base' ),
			'ep_font_icon_arrow_carrot_up'              => __( 'Arrow Carrot Up',   'echo-knowledge-base' ),
			'ep_font_icon_arrow_carrot_down'            => __( 'Arrow Carrot Down',   'echo-knowledge-base' ),

			//Font Awesome Icons	( Value => Name )
			'fa-file-pdf-o'            => 'fa-file-pdf-o',
			'fa-file-text-o'           => 'fa-file-text-o',
			'fa-file-word-o'           => 'fa-file-word-o',
			'fa-file-excel-o'          => 'fa-file-excel-o',
			'fa-file-image-o'          => 'fa-file-image-o',
			'fa-file-zip-o'            => 'fa-file-zip-o',
			'fa-file-audio-o'          => 'fa-file-audio-o',
			'fa-file-video-o'          => 'fa-file-video-o',
			'fa-link'                  => 'fa-link',
			'fa-youtube-play'          => 'fa-youtube-play',
			'fa-download'              => 'fa-download',
			'fa-external-link'         => 'fa-external-link',
			'fa-file-code-o'           => 'fa-file-code-o',
			'fa-file-o'                => 'fa-file-o',
			'fa-files-o'               => 'fa-files-o',
			'fa-folder-open'           => 'fa-folder-open',
			'fa-code'                  => 'fa-code',
			'fa-clipboard'             => 'fa-clipboard',
			'fa-book'                  => 'fa-book',
			'fa-info-circle'           => 'fa-info-circle',
			'fa-question-circle'       => 'fa-question-circle',
			'fa-exclamation-circle'    => 'fa-exclamation-circle',
			'fa-database'              => 'fa-database',
			'fa-file-powerpoint-o'     => 'fa-file-powerpoint-o',
			'fa-image'                 => 'fa-image',
			'fa-lock'                  => 'fa-lock',
			'fa-print'                 => 'fa-print',
			'fa-user'                  => 'fa-user',
			'fa-glass'                 => 'fa-glass',
			'fa-music'                 => 'fa-music',
			'fa-search'                => 'fa-search',
			'fa-envelope-o'            => 'fa-envelope-o',
			'fa-heart'                 => 'fa-heart',
			'fa-star'                  => 'fa-star',
			'fa-star-o'                => 'fa-star-o',
			'fa-film'                  => 'fa-film',
			'fa-th-large'              => 'fa-th-large',
			'fa-th'                    => 'fa-th',
			'fa-th-list'               => 'fa-th-list',
			'fa-check'                 => 'fa-check',
			'fa-close'                 => 'fa-close',
			'fa-search-plus'           => 'fa-search-plus',
			'fa-search-minus'          => 'fa-search-minus',
			'fa-power-off'             => 'fa-power-off',
			'fa-signal'                => 'fa-signal',
			'fa-gear'                  => 'fa-gear',
			'fa-trash-o'               => 'fa-trash-o',
			'fa-home'                  => 'fa-home',
			'fa-clock-o'               => 'fa-clock-o',
			'fa-road'                  => 'fa-road',
			'fa-arrow-circle-o-down'   => 'fa-arrow-circle-o-down',
			'fa-arrow-circle-o-up'     => 'fa-arrow-circle-o-up',
			'fa-inbox'                 => 'fa-inbox',
			'fa-play-circle-o'         => 'fa-play-circle-o',
			'fa-rotate-right'          => 'fa-rotate-right',
			'fa-repeat'                => 'fa-repeat',
			'fa-refresh'               => 'fa-refresh',
			'fa-list-alt'              => 'fa-list-alt',
			'fa-flag'                  => 'fa-flag',
			'fa-headphones'            => 'fa-headphones',
			'fa-volume-off'            => 'fa-volume-off',
			'fa-volume-down'           => 'fa-volume-down',
			'fa-volume-up'             => 'fa-volume-up',
			'fa-qrcode'                => 'fa-qrcode',
			'fa-barcode'               => 'fa-barcode',
			'fa-tag'                   => 'fa-tag',
			'fa-tags'                  => 'fa-tags',
			'fa-bookmark'              => 'fa-bookmark',
			'fa-camera'                => 'fa-camera',
			'fa-font'                  => 'fa-font',
			'fa-bold'                  => 'fa-bold',
			'fa-italic'                => 'fa-italic',
			'fa-text-height'           => 'fa-text-height',
			'fa-text-width'            => 'fa-text-width',
			'fa-align-left'            => 'fa-align-left',
			'fa-align-center'          => 'fa-align-center',
			'fa-align-right'           => 'fa-align-right',
			'fa-align-justify'         => 'fa-align-justify',
			'fa-list'                  => 'fa-list',
			'fa-dedent'                => 'fa-dedent',
			'fa-outdent'               => 'fa-outdent',
			'fa-indent'                => 'fa-indent',
			'fa-video-camera'          => 'fa-video-camera',
			'fa-photo'                 => 'fa-photo',
			'fa-pencil'                => 'fa-pencil',
			'fa-map-marker'            => 'fa-map-marker',
			'fa-adjust'                => 'fa-adjust',
			'fa-tint'                  => 'fa-tint',
			'fa-edit'                  => 'fa-edit',
			'fa-pencil-square-o'       => 'fa-pencil-square-o',
			'fa-share-square-o'        => 'fa-share-square-o',
			'fa-check-square-o'        => 'fa-check-square-o',
			'fa-arrows'                => 'fa-arrows',
			'fa-step-backward'         => 'fa-step-backward',
			'fa-fast-backward'         => 'fa-fast-backward',
			'fa-backward'              => 'fa-backward',
			'fa-play'                  => 'fa-play',
			'fa-pause'                 => 'fa-pause',
			'fa-stop'                  => 'fa-stop',
			'fa-forward'               => 'fa-forward',
			'fa-fast-forward'          => 'fa-fast-forward',
			'fa-step-forward'          => 'fa-step-forward',
			'fa-eject'                 => 'fa-eject',
			'fa-chevron-left'          => 'fa-chevron-left',
			'fa-chevron-right'         => 'fa-chevron-right',
			'fa-plus-circle'           => 'fa-plus-circle',
			'fa-minus-circle'          => 'fa-minus-circle',
			'fa-times-circle'          => 'fa-times-circle',
			'fa-check-circle'          => 'fa-check-circle',
			'fa-crosshairs'            => 'fa-crosshairs',
			'fa-times-circle-o'        => 'fa-times-circle-o',
			'fa-check-circle-o'        => 'fa-check-circle-o',
			'fa-ban'                   => 'fa-ban',
			'fa-arrow-left'            => 'fa-arrow-left',
			'fa-arrow-right'           => 'fa-arrow-right',
			'fa-arrow-up'              => 'fa-arrow-up',
			'fa-arrow-down'            => 'fa-arrow-down',
			'fa-share'                 => 'fa-share',
			'fa-expand'                => 'fa-expand',
			'fa-compress'              => 'fa-compress',
			'fa-plus'                  => 'fa-plus',
			'fa-minus'                 => 'fa-minus',
			'fa-asterisk'              => 'fa-asterisk',
			'fa-gift'                  => 'fa-gift',
			'fa-leaf'                  => 'fa-leaf',
			'fa-fire'                  => 'fa-fire',
			'fa-eye'                   => 'fa-eye',
			'fa-eye-slash'             => 'fa-eye-slash',
			'fa-warning'               => 'fa-warning',
			'fa-plane'                 => 'fa-plane',
			'fa-calendar'              => 'fa-calendar',
			'fa-random'                => 'fa-random',
			'fa-comment'               => 'fa-comment',
			'fa-magnet'                => 'fa-magnet',
			'fa-chevron-up'            => 'fa-chevron-up',
			'fa-chevron-down'          => 'fa-chevron-down',
			'fa-retweet'               => 'fa-retweet',
			'fa-shopping-cart'         => 'fa-shopping-cart',
			'fa-folder'                => 'fa-folder',
			'fa-arrows-v'              => 'fa-arrows-v',
			'fa-arrows-h'              => 'fa-arrows-h',
			'fa-bar-chart'             => 'fa-bar-chart',
			'fa-twitter-square'        => 'fa-twitter-square',
			'fa-facebook-square'       => 'fa-facebook-square',
			'fa-camera-retro'          => 'fa-camera-retro',
			'fa-key'                   => 'fa-key',
			'fa-gears'                 => 'fa-gears',
			'fa-comments'              => 'fa-comments',
			'fa-thumbs-o-up'           => 'fa-thumbs-o-up',
			'fa-thumbs-o-down'         => 'fa-thumbs-o-down',
			'fa-star-half'             => 'fa-star-half',
			'fa-heart-o'               => 'fa-heart-o',
			'fa-sign-out'              => 'fa-sign-out',
			'fa-linkedin-square'       => 'fa-linkedin-square',
			'fa-thumb-tack'            => 'fa-thumb-tack',
			'fa-sign-in'               => 'fa-sign-in',
			'fa-trophy'                => 'fa-trophy',
			'fa-github-square'         => 'fa-github-square',
			'fa-upload'                => 'fa-upload',
			'fa-lemon-o'               => 'fa-lemon-o',
			'fa-phone'                 => 'fa-phone',
			'fa-square-o'              => 'fa-square-o',
			'fa-bookmark-o'            => 'fa-bookmark-o',
			'fa-phone-square'          => 'fa-phone-square',
			'fa-twitter'               => 'fa-twitter',
			'fa-facebook'              => 'fa-facebook',
			'fa-github'                => 'fa-github',
			'fa-unlock'                => 'fa-unlock',
			'fa-credit-card'           => 'fa-credit-card',
			'fa-rss'                   => 'fa-rss',
			'fa-hdd-o'                 => 'fa-hdd-o',
			'fa-bullhorn'              => 'fa-bullhorn',
			'fa-bell'                  => 'fa-bell',
			'fa-certificate'           => 'fa-certificate',
			'fa-hand-o-right'          => 'fa-hand-o-right',
			'fa-hand-o-left'           => 'fa-hand-o-left',
			'fa-hand-o-up'             => 'fa-hand-o-up',
			'fa-hand-o-down'           => 'fa-hand-o-down',
			'fa-arrow-circle-left'     => 'fa-arrow-circle-left',
			'fa-arrow-circle-right'    => 'fa-arrow-circle-right',
			'fa-arrow-circle-up'       => 'fa-arrow-circle-up',
			'fa-arrow-circle-down'     => 'fa-arrow-circle-down',
			'fa-globe'                 => 'fa-globe',
			'fa-wrench'                => 'fa-wrench',
			'fa-tasks'                 => 'fa-tasks',
			'fa-filter'                => 'fa-filter',
			'fa-briefcase'             => 'fa-briefcase',
			'fa-arrows-alt'            => 'fa-arrows-alt',
			'fa-group'                 => 'fa-group',
			'fa-cloud'                 => 'fa-cloud',
			'fa-flask'                 => 'fa-flask',
			'fa-scissors'              => 'fa-scissors',
			'fa-paperclip'             => 'fa-paperclip',
			'fa-save'                  => 'fa-save',
			'fa-floppy-o'              => 'fa-floppy-o',
			'fa-square'                => 'fa-square',
			'fa-navicon'               => 'fa-navicon',
			'fa-bars'                  => 'fa-bars',
			'fa-list-ul'               => 'fa-list-ul',
			'fa-list-ol'               => 'fa-list-ol',
			'fa-strikethrough'         => 'fa-strikethrough',
			'fa-underline'             => 'fa-underline',
			'fa-table'                 => 'fa-table',
			'fa-magic'                 => 'fa-magic',
			'fa-truck'                 => 'fa-truck',
			'fa-pinterest'             => 'fa-pinterest',
			'fa-pinterest-square'      => 'fa-pinterest-square',
			'fa-google-plus-square'    => 'fa-google-plus-square',
			'fa-google-plus'           => 'fa-google-plus',
			'fa-money'                 => 'fa-money',
			'fa-caret-left'            => 'fa-caret-left',
			'fa-caret-right'           => 'fa-caret-right',
			'fa-columns'               => 'fa-columns',
			'fa-unsorted'              => 'fa-unsorted',
			'fa-sort'                  => 'fa-sort',
			'fa-sort-desc'             => 'fa-sort-desc',
			'fa-sort-asc'              => 'fa-sort-asc',
			'fa-envelope'              => 'fa-envelope',
			'fa-linkedin'              => 'fa-linkedin',
			'fa-rotate-left'           => 'fa-rotate-left',
			'fa-legal'                 => 'fa-legal',
			'fa-tachometer'            => 'fa-tachometer',
			'fa-comment-o'             => 'fa-comment-o',
			'fa-comments-o'            => 'fa-comments-o',
			'fa-bolt'                  => 'fa-bolt',
			'fa-sitemap'               => 'fa-sitemap',
			'fa-umbrella'              => 'fa-umbrella',
			'fa-lightbulb-o'           => 'fa-lightbulb-o',
			'fa-exchange'              => 'fa-exchange',
			'fa-cloud-download'        => 'fa-cloud-download',
			'fa-cloud-upload'          => 'fa-cloud-upload',
			'fa-user-md'               => 'fa-user-md',
			'fa-stethoscope'           => 'fa-stethoscope',
			'fa-suitcase'              => 'fa-suitcase',
			'fa-bell-o'                => 'fa-bell-o',
			'fa-coffee'                => 'fa-coffee',
			'fa-cutlery'               => 'fa-cutlery',
			'fa-building-o'            => 'fa-building-o',
			'fa-hospital-o'            => 'fa-hospital-o',
			'fa-ambulance'             => 'fa-ambulance',
			'fa-medkit'                => 'fa-medkit',
			'fa-fighter-jet'           => 'fa-fighter-jet',
			'fa-beer'                  => 'fa-beer',
			'fa-h-square'              => 'fa-h-square',
			'fa-plus-square'           => 'fa-plus-square',
			'fa-angle-double-left'     => 'fa-angle-double-left',
			'fa-angle-double-right'    => 'fa-angle-double-right',
			'fa-angle-double-up'       => 'fa-angle-double-up',
			'fa-angle-double-down'     => 'fa-angle-double-down',
			'fa-angle-left'            => 'fa-angle-left',
			'fa-angle-right'           => 'fa-angle-right',
			'fa-angle-up'              => 'fa-angle-up',
			'fa-angle-down'            => 'fa-angle-down',
			'fa-desktop'               => 'fa-desktop',
			'fa-laptop'                => 'fa-laptop',
			'fa-tablet'                => 'fa-tablet',
			'fa-mobile'                => 'fa-mobile',
			'fa-circle-o'              => 'fa-circle-o',
			'fa-quote-left'            => 'fa-quote-left',
			'fa-quote-right'           => 'fa-quote-right',
			'fa-spinner'               => 'fa-spinner',
			'fa-circle'                => 'fa-circle',
			'fa-reply'                 => 'fa-reply',
			'fa-github-alt'            => 'fa-github-alt',
			'fa-folder-o'              => 'fa-folder-o',
			'fa-folder-open-o'         => 'fa-folder-open-o',
			'fa-smile-o'               => 'fa-smile-o',
			'fa-frown-o'               => 'fa-frown-o',
			'fa-meh-o'                 => 'fa-meh-o',
			'fa-gamepad'               => 'fa-gamepad',
			'fa-keyboard-o'            => 'fa-keyboard-o',
			'fa-flag-o'                => 'fa-flag-o',
			'fa-flag-checkered'        => 'fa-flag-checkered',
			'fa-terminal'              => 'fa-terminal',
			'fa-mail-reply-all'        => 'fa-mail-reply-all',
			'fa-reply-all'             => 'fa-reply-all',
			'fa-star-half-empty'       => 'fa-star-half-empty',
			'fa-location-arrow'        => 'fa-location-arrow',
			'fa-crop'                  => 'fa-crop',
			'fa-code-fork'             => 'fa-code-fork',
			'fa-unlink'                => 'fa-unlink',
			'fa-question'              => 'fa-question',
			'fa-info'                  => 'fa-info',
			'fa-exclamation'           => 'fa-exclamation',
			'fa-superscript'           => 'fa-superscript',
			'fa-subscript'             => 'fa-subscript',
			'fa-eraser'                => 'fa-eraser',
			'fa-puzzle-piece'          => 'fa-puzzle-piece',
			'fa-microphone'            => 'fa-microphone',
			'fa-microphone-slash'      => 'fa-microphone-slash',
			'fa-shield'                => 'fa-shield',
			'fa-calendar-o'            => 'fa-calendar-o',
			'fa-fire-extinguisher'     => 'fa-fire-extinguisher',
			'fa-rocket'                => 'fa-rocket',
			'fa-maxcdn'                => 'fa-maxcdn',
			'fa-chevron-circle-left'   => 'fa-chevron-circle-left',
			'fa-chevron-circle-right'  => 'fa-chevron-circle-right',
			'fa-chevron-circle-up'     => 'fa-chevron-circle-up',
			'fa-chevron-circle-down'   => 'fa-chevron-circle-down',
			'fa-html5'                 => 'fa-html5',
			'fa-css3'                  => 'fa-css3',
			'fa-anchor'                => 'fa-anchor',
			'fa-unlock-alt'            => 'fa-unlock-alt',
			'fa-bullseye'              => 'fa-bullseye',
			'fa-ellipsis-h'            => 'fa-ellipsis-h',
			'fa-ellipsis-v'            => 'fa-ellipsis-v',
			'fa-rss-square'            => 'fa-rss-square',
			'fa-play-circle'           => 'fa-play-circle',
			'fa-ticket'                => 'fa-ticket',
			'fa-minus-square'          => 'fa-minus-square',
			'fa-minus-square-o'        => 'fa-minus-square-o',
			'fa-level-up'              => 'fa-level-up',
			'fa-level-down'            => 'fa-level-down',
			'fa-check-square'          => 'fa-check-square',
			'fa-pencil-square'         => 'fa-pencil-square',
			'fa-external-link-square'  => 'fa-external-link-square',
			'fa-share-square'          => 'fa-share-square',
			'fa-compass'               => 'fa-compass',
			'fa-toggle-down'           => 'fa-toggle-down',
			'fa-toggle-up'             => 'fa-toggle-up',
			'fa-toggle-right'          => 'fa-toggle-right',
			'fa-euro'                  => 'fa-euro',
			'fa-eur'                   => 'fa-eur',
			'fa-gbp'                   => 'fa-gbp',
			'fa-dollar'                => 'fa-dollar',
			'fa-rupee'                 => 'fa-rupee',
			'fa-inr'                   => 'fa-inr',
			'fa-cny'                   => 'fa-cny',
			'fa-rmb'                   => 'fa-rmb',
			'fa-yen'                   => 'fa-yen',
			'fa-jpy'                   => 'fa-jpy',
			'fa-ruble'                 => 'fa-ruble',
			'fa-rouble'                => 'fa-rouble',
			'fa-rub'                   => 'fa-rub',
			'fa-won'                   => 'fa-won',
			'fa-krw'                   => 'fa-krw',
			'fa-bitcoin'               => 'fa-bitcoin',
			'fa-btc'                   => 'fa-btc',
			'fa-file'                  => 'fa-file',
			'fa-file-text'             => 'fa-file-text',
			'fa-sort-alpha-asc'        => 'fa-sort-alpha-asc',
			'fa-sort-alpha-desc'       => 'fa-sort-alpha-desc',
			'fa-sort-amount-asc'       => 'fa-sort-amount-asc',
			'fa-sort-amount-desc'      => 'fa-sort-amount-desc',
			'fa-sort-numeric-asc'      => 'fa-sort-numeric-asc',
			'fa-sort-numeric-desc'     => 'fa-sort-numeric-desc',
			'fa-thumbs-up'             => 'fa-thumbs-up',
			'fa-thumbs-down'           => 'fa-thumbs-down',
			'fa-youtube-square'        => 'fa-youtube-square',
			'fa-youtube'               => 'fa-youtube',
			'fa-xing'                  => 'fa-xing',
			'fa-xing-square'           => 'fa-xing-square',
			'fa-dropbox'               => 'fa-dropbox',
			'fa-stack-overflow'        => 'fa-stack-overflow',
			'fa-instagram'             => 'fa-instagram',
			'fa-flickr'                => 'fa-flickr',
			'fa-adn'                   => 'fa-adn',
			'fa-bitbucket'             => 'fa-bitbucket',
			'fa-bitbucket-square'      => 'fa-bitbucket-square',
			'fa-tumblr'                => 'fa-tumblr',
			'fa-tumblr-square'         => 'fa-tumblr-square',
			'fa-long-arrow-down'       => 'fa-long-arrow-down',
			'fa-long-arrow-up'         => 'fa-long-arrow-up',
			'fa-long-arrow-left'       => 'fa-long-arrow-left',
			'fa-long-arrow-right'      => 'fa-long-arrow-right',
			'fa-apple'                 => 'fa-apple',
			'fa-windows'               => 'fa-windows',
			'fa-android'               => 'fa-android',
			'fa-linux'                 => 'fa-linux',
			'fa-dribbble'              => 'fa-dribbble',
			'fa-skype'                 => 'fa-skype',
			'fa-foursquare'            => 'fa-foursquare',
			'fa-trello'                => 'fa-trello',
			'fa-female'                => 'fa-female',
			'fa-male'                  => 'fa-male',
			'fa-gittip'                => 'fa-gittip',
			'fa-gratipay'              => 'fa-gratipay',
			'fa-sun-o'                 => 'fa-sun-o',
			'fa-moon-o'                => 'fa-moon-o',
			'fa-archive'               => 'fa-archive',
			'fa-bug'                   => 'fa-bug',
			'fa-vk'                    => 'fa-vk',
			'fa-weibo'                 => 'fa-weibo',
			'fa-renren'                => 'fa-renren',
			'fa-pagelines'             => 'fa-pagelines',
			'fa-stack-exchange'        => 'fa-stack-exchange',
			'fa-arrow-circle-o-right'  => 'fa-arrow-circle-o-right',
			'fa-arrow-circle-o-left'   => 'fa-arrow-circle-o-left',
			'fa-toggle-left'           => 'fa-toggle-left',
			'fa-dot-circle-o'          => 'fa-dot-circle-o',
			'fa-wheelchair'            => 'fa-wheelchair',
			'fa-vimeo-square'          => 'fa-vimeo-square',
			'fa-turkish-lira'          => 'fa-turkish-lira',
			'fa-try'                   => 'fa-try',
			'fa-plus-square-o'         => 'fa-plus-square-o',
			'fa-space-shuttle'         => 'fa-space-shuttle',
			'fa-slack'                 => 'fa-slack',
			'fa-envelope-square'       => 'fa-envelope-square',
			'fa-wordpress'             => 'fa-wordpress',
			'fa-openid'                => 'fa-openid',
			'fa-bank'                  => 'fa-bank',
			'fa-graduation-cap'        => 'fa-graduation-cap',
			'fa-yahoo'                 => 'fa-yahoo',
			'fa-google'                => 'fa-google',
			'fa-reddit'                => 'fa-reddit',
			'fa-reddit-square'         => 'fa-reddit-square',
			'fa-stumbleupon-circle'    => 'fa-stumbleupon-circle',
			'fa-stumbleupon'           => 'fa-stumbleupon',
			'fa-delicious'             => 'fa-delicious',
			'fa-digg'                  => 'fa-digg',
			'fa-pied-piper-pp'         => 'fa-pied-piper-pp',
			'fa-pied-piper-alt'        => 'fa-pied-piper-alt',
			'fa-drupal'                => 'fa-drupal',
			'fa-joomla'                => 'fa-joomla',
			'fa-language'              => 'fa-language',
			'fa-fax'                   => 'fa-fax',
			'fa-building'              => 'fa-building',
			'fa-child'                 => 'fa-child',
			'fa-paw'                   => 'fa-paw',
			'fa-spoon'                 => 'fa-spoon',
			'fa-cube'                  => 'fa-cube',
			'fa-cubes'                 => 'fa-cubes',
			'fa-behance'               => 'fa-behance',
			'fa-behance-square'        => 'fa-behance-square',
			'fa-steam'                 => 'fa-steam',
			'fa-steam-square'          => 'fa-steam-square',
			'fa-recycle'               => 'fa-recycle',
			'fa-car'                   => 'fa-car',
			'fa-cab'                   => 'fa-cab',
			'fa-taxi'                  => 'fa-taxi',
			'fa-tree'                  => 'fa-tree',
			'fa-spotify'               => 'fa-spotify',
			'fa-deviantart'            => 'fa-deviantart',
			'fa-soundcloud'            => 'fa-soundcloud',
			'fa-vine'                  => 'fa-vine',
			'fa-codepen'               => 'fa-codepen',
			'fa-jsfiddle'              => 'fa-jsfiddle',
			'fa-life-saver'            => 'fa-life-saver',
			'fa-circle-o-notch'        => 'fa-circle-o-notch',
			'fa-rebel'                 => 'fa-rebel',
			'fa-ge'                    => 'fa-ge',
			'fa-empire'                => 'fa-empire',
			'fa-git-square'            => 'fa-git-square',
			'fa-git'                   => 'fa-git',
			'fa-yc-square'             => 'fa-yc-square',
			'fa-hacker-news'           => 'fa-hacker-news',
			'fa-tencent-weibo'         => 'fa-tencent-weibo',
			'fa-qq'                    => 'fa-qq',
			'fa-wechat'                => 'fa-wechat',
			'fa-paper-plane'           => 'fa-paper-plane',
			'fa-paper-plane-o'         => 'fa-paper-plane-o',
			'fa-history'               => 'fa-history',
			'fa-circle-thin'           => 'fa-circle-thin',
			'fa-header'                => 'fa-header',
			'fa-paragraph'             => 'fa-paragraph',
			'fa-sliders'               => 'fa-sliders',
			'fa-share-alt'             => 'fa-share-alt',
			'fa-share-alt-square'      => 'fa-share-alt-square',
			'fa-bomb'                  => 'fa-bomb',
			'fa-soccer-ball-o'         => 'fa-soccer-ball-o',
			'fa-futbol-o'              => 'fa-futbol-o',
			'fa-tty'                   => 'fa-tty',
			'fa-binoculars'            => 'fa-binoculars',
			'fa-plug'                  => 'fa-plug',
			'fa-slideshare'            => 'fa-slideshare',
			'fa-twitch'                => 'fa-twitch',
			'fa-yelp'                  => 'fa-yelp',
			'fa-newspaper-o'           => 'fa-newspaper-o',
			'fa-wifi'                  => 'fa-wifi',
			'fa-calculator'            => 'fa-calculator',
			'fa-paypal'                => 'fa-paypal',
			'fa-google-wallet'         => 'fa-google-wallet',
			'fa-cc-visa'               => 'fa-cc-visa',
			'fa-cc-mastercard'         => 'fa-cc-mastercard',
			'fa-cc-discover'           => 'fa-cc-discover',
			'fa-cc-amex'               => 'fa-cc-amex',
			'fa-cc-paypal'             => 'fa-cc-paypal',
			'fa-cc-stripe'             => 'fa-cc-stripe',
			'fa-bell-slash'            => 'fa-bell-slash',
			'fa-bell-slash-o'          => 'fa-bell-slash-o',
			'fa-trash'                 => 'fa-trash',
			'fa-copyright'             => 'fa-copyright',
			'fa-at'                    => 'fa-at',
			'fa-eyedropper'            => 'fa-eyedropper',
			'fa-paint-brush'           => 'fa-paint-brush',
			'fa-birthday-cake'         => 'fa-birthday-cake',
			'fa-area-chart'            => 'fa-area-chart',
			'fa-pie-chart'             => 'fa-pie-chart',
			'fa-line-chart'            => 'fa-line-chart',
			'fa-lastfm'                => 'fa-lastfm',
			'fa-lastfm-square'         => 'fa-lastfm-square',
			'fa-toggle-off'            => 'fa-toggle-off',
			'fa-toggle-on'             => 'fa-toggle-on',
			'fa-bicycle'               => 'fa-bicycle',
			'fa-bus'                   => 'fa-bus',
			'fa-ioxhost'               => 'fa-ioxhost',
			'fa-angellist'             => 'fa-angellist',
			'fa-cc'                    => 'fa-cc',
			'fa-shekel'                => 'fa-shekel',
			'fa-sheqel'                => 'fa-sheqel',
			'fa-ils'                   => 'fa-ils',
			'fa-meanpath'              => 'fa-meanpath',
			'fa-buysellads'            => 'fa-buysellads',
			'fa-connectdevelop'        => 'fa-connectdevelop',
			'fa-dashcube'              => 'fa-dashcube',
			'fa-forumbee'              => 'fa-forumbee',
			'fa-leanpub'               => 'fa-leanpub',
			'fa-sellsy'                => 'fa-sellsy',
			'fa-shirtsinbulk'          => 'fa-shirtsinbulk',
			'fa-simplybuilt'           => 'fa-simplybuilt',
			'fa-skyatlas'              => 'fa-skyatlas',
			'fa-cart-plus'             => 'fa-cart-plus',
			'fa-cart-arrow-down'       => 'fa-cart-arrow-down',
			'fa-diamond'               => 'fa-diamond',
			'fa-ship'                  => 'fa-ship',
			'fa-user-secret'           => 'fa-user-secret',
			'fa-motorcycle'            => 'fa-motorcycle',
			'fa-street-view'           => 'fa-street-view',
			'fa-heartbeat'             => 'fa-heartbeat',
			'fa-venus'                 => 'fa-venus',
			'fa-mars'                  => 'fa-mars',
			'fa-mercury'               => 'fa-mercury',
			'fa-intersex'              => 'fa-intersex',
			'fa-transgender-alt'       => 'fa-transgender-alt',
			'fa-venus-double'          => 'fa-venus-double',
			'fa-mars-double'           => 'fa-mars-double',
			'fa-venus-mars'            => 'fa-venus-mars',
			'fa-mars-stroke'           => 'fa-mars-stroke',
			'fa-mars-stroke-v'         => 'fa-mars-stroke-v',
			'fa-mars-stroke-h'         => 'fa-mars-stroke-h',
			'fa-neuter'                => 'fa-neuter',
			'fa-genderless'            => 'fa-genderless',
			'fa-facebook-official'     => 'fa-facebook-official',
			'fa-pinterest-p'           => 'fa-pinterest-p',
			'fa-whatsapp'              => 'fa-whatsapp',
			'fa-server'                => 'fa-server',
			'fa-user-plus'             => 'fa-user-plus',
			'fa-user-times'            => 'fa-user-times',
			'fa-hotel'                 => 'fa-hotel',
			'fa-bed'                   => 'fa-bed',
			'fa-viacoin'               => 'fa-viacoin',
			'fa-train'                 => 'fa-train',
			'fa-subway'                => 'fa-subway',
			'fa-medium'                => 'fa-medium',
			'fa-yc'                    => 'fa-yc',
			'fa-optin-monster'         => 'fa-optin-monster',
			'fa-opencart'              => 'fa-opencart',
			'fa-expeditedssl'          => 'fa-expeditedssl',
			'fa-battery-full'          => 'fa-battery-full',
			'fa-battery-three-quarters' => 'fa-battery-three-quarters',
			'fa-battery-half'          => 'fa-battery-half',
			'fa-battery-quarter'       => 'fa-battery-quarter',
			'fa-battery-empty'         => 'fa-battery-empty',
			'fa-mouse-pointer'         => 'fa-mouse-pointer',
			'fa-i-cursor'              => 'fa-i-cursor',
			'fa-object-group'          => 'fa-object-group',
			'fa-object-ungroup'        => 'fa-object-ungroup',
			'fa-sticky-note'           => 'fa-sticky-note',
			'fa-sticky-note-o'         => 'fa-sticky-note-o',
			'fa-cc-jcb'                => 'fa-cc-jcb',
			'fa-cc-diners-club'        => 'fa-cc-diners-club',
			'fa-clone'                 => 'fa-clone',
			'fa-balance-scale'         => 'fa-balance-scale',
			'fa-hourglass-o'           => 'fa-hourglass-o',
			'fa-hourglass-start'       => 'fa-hourglass-start',
			'fa-hourglass-half'        => 'fa-hourglass-half',
			'fa-hourglass-end'         => 'fa-hourglass-end',
			'fa-hourglass'             => 'fa-hourglass',
			'fa-hand-rock-o'           => 'fa-hand-rock-o',
			'fa-hand-paper-o'          => 'fa-hand-paper-o',
			'fa-hand-scissors-o'       => 'fa-hand-scissors-o',
			'fa-hand-lizard-o'         => 'fa-hand-lizard-o',
			'fa-hand-spock-o'          => 'fa-hand-spock-o',
			'fa-hand-pointer-o'        => 'fa-hand-pointer-o',
			'fa-hand-peace-o'          => 'fa-hand-peace-o',
			'fa-trademark'             => 'fa-trademark',
			'fa-registered'            => 'fa-registered',
			'fa-creative-commons'      => 'fa-creative-commons',
			'fa-gg'                    => 'fa-gg',
			'fa-gg-circle'             => 'fa-gg-circle',
			'fa-tripadvisor'           => 'fa-tripadvisor',
			'fa-odnoklassniki'         => 'fa-odnoklassniki',
			'fa-odnoklassniki-square'  => 'fa-odnoklassniki-square',
			'fa-get-pocket'            => 'fa-get-pocket',
			'fa-wikipedia-w'           => 'fa-wikipedia-w',
			'fa-safari'                => 'fa-safari',
			'fa-chrome'                => 'fa-chrome',
			'fa-firefox'               => 'fa-firefox',
			'fa-opera'                 => 'fa-opera',
			'fa-internet-explorer'     => 'fa-internet-explorer',
			'fa-tv'                    => 'fa-tv',
			'fa-contao'                => 'fa-contao',
			'fa-500px'                 => 'fa-500px',
			'fa-amazon'                => 'fa-amazon',
			'fa-calendar-plus-o'       => 'fa-calendar-plus-o',
			'fa-calendar-minus-o'      => 'fa-calendar-minus-o',
			'fa-calendar-times-o'      => 'fa-calendar-times-o',
			'fa-calendar-check-o'      => 'fa-calendar-check-o',
			'fa-industry'              => 'fa-industry',
			'fa-map-pin'               => 'fa-map-pin',
			'fa-map-signs'             => 'fa-map-signs',
			'fa-map-o'                 => 'fa-map-o',
			'fa-map'                   => 'fa-map',
			'fa-commenting'            => 'fa-commenting',
			'fa-commenting-o'          => 'fa-commenting-o',
			'fa-houzz'                 => 'fa-houzz',
			'fa-vimeo'                 => 'fa-vimeo',
			'fa-black-tie'             => 'fa-black-tie',
			'fa-fonticons'             => 'fa-fonticons',
			'fa-reddit-alien'          => 'fa-reddit-alien',
			'fa-edge'                  => 'fa-edge',
			'fa-credit-card-alt'       => 'fa-credit-card-alt',
			'fa-codiepie'              => 'fa-codiepie',
			'fa-modx'                  => 'fa-modx',
			'fa-fort-awesome'          => 'fa-fort-awesome',
			'fa-usb'                   => 'fa-usb',
			'fa-product-hunt'          => 'fa-product-hunt',
			'fa-mixcloud'              => 'fa-mixcloud',
			'fa-scribd'                => 'fa-scribd',
			'fa-pause-circle'          => 'fa-pause-circle',
			'fa-pause-circle-o'        => 'fa-pause-circle-o',
			'fa-stop-circle'           => 'fa-stop-circle',
			'fa-stop-circle-o'         => 'fa-stop-circle-o',
			'fa-shopping-bag'          => 'fa-shopping-bag',
			'fa-shopping-basket'       => 'fa-shopping-basket',
			'fa-hashtag'               => 'fa-hashtag',
			'fa-bluetooth'             => 'fa-bluetooth',
			'fa-bluetooth-b'           => 'fa-bluetooth-b',
			'fa-percent'               => 'fa-percent',
			'fa-gitlab'                => 'fa-gitlab',
			'fa-wpbeginner'            => 'fa-wpbeginner',
			'fa-wpforms'               => 'fa-wpforms',
			'fa-envira'                => 'fa-envira',
			'fa-universal-access'      => 'fa-universal-access',
			'fa-wheelchair-alt'        => 'fa-wheelchair-alt',
			'fa-question-circle-o'     => 'fa-question-circle-o',
			'fa-blind'                 => 'fa-blind',
			'fa-audio-description'     => 'fa-audio-description',
			'fa-volume-control-phone'  => 'fa-volume-control-phone',
			'fa-braille'               => 'fa-braille',
			'fa-assistive-listening-systems' => 'fa-assistive-listening-systems',
			'fa-american-sign-language-interpreting' => 'fa-american-sign-language-interpreting',
			'fa-hard-of-hearing'       => 'fa-hard-of-hearing',
			'fa-glide'                 => 'fa-glide',
			'fa-glide-g'               => 'fa-glide-g',
			'fa-sign-language'         => 'fa-sign-language',
			'fa-low-vision'            => 'fa-low-vision',
			'fa-viadeo'                => 'fa-viadeo',
			'fa-viadeo-square'         => 'fa-viadeo-square',
			'fa-snapchat'              => 'fa-snapchat',
			'fa-snapchat-ghost'        => 'fa-snapchat-ghost',
			'fa-snapchat-square'       => 'fa-snapchat-square',
			'fa-pied-piper'            => 'fa-pied-piper',
			'fa-first-order'           => 'fa-first-order',
			'fa-yoast'                 => 'fa-yoast',
			'fa-themeisle'             => 'fa-themeisle',
			'fa-google-plus-circle'    => 'fa-google-plus-circle',
			'fa-google-plus-official'  => 'fa-google-plus-official',
			'fa-font-awesome'          => 'fa-font-awesome',
			'fa-handshake-o'           => 'fa-handshake-o',
			'fa-envelope-open'         => 'fa-envelope-open',
			'fa-envelope-open-o'       => 'fa-envelope-open-o',
			'fa-linode'                => 'fa-linode',
			'fa-address-book'          => 'fa-address-book',
			'fa-address-book-o'        => 'fa-address-book-o',
			'fa-address-card'          => 'fa-address-card',
			'fa-address-card-o'        => 'fa-address-card-o',
			'fa-user-circle'           => 'fa-user-circle',
			'fa-user-circle-o'         => 'fa-user-circle-o',
			'fa-user-o'                => 'fa-user-o',
			'fa-id-badge'              => 'fa-id-badge',
			'fa-id-card'               => 'fa-id-card',
			'fa-id-card-o'             => 'fa-id-card-o',
			'fa-quora'                 => 'fa-quora',
			'fa-free-code-camp'        => 'fa-free-code-camp',
			'fa-telegram'              => 'fa-telegram',
			'fa-thermometer-full'      => 'fa-thermometer-full',
			'fa-thermometer-three-quarters' => 'fa-thermometer-three-quarters',
			'fa-thermometer-half'      => 'fa-thermometer-half',
			'fa-thermometer-quarter'   => 'fa-thermometer-quarter',
			'fa-thermometer-0'         => 'fa-thermometer-0'       ,
			'fa-thermometer-empty'     => 'fa-thermometer-empty',
			'fa-shower'                => 'fa-shower',
			'fa-bathtub'               => 'fa-bathtub'       ,
			'fa-s15'                   => 'fa-s15'       ,
			'fa-podcast'               => 'fa-podcast',
			'fa-window-maximize'       => 'fa-window-maximize',
			'fa-window-minimize'       => 'fa-window-minimize',
			'fa-window-restore'        => 'fa-window-restore',
			'fa-window-close'          => 'fa-window-close',
			'fa-window-close-o'        => 'fa-window-close-o',
			'fa-bandcamp'              => 'fa-bandcamp',
			'fa-grav'                  => 'fa-grav',
			'fa-etsy'                  => 'fa-etsy',
			'fa-imdb'                  => 'fa-imdb',
			'fa-ravelry'               => 'fa-ravelry',
			'fa-eercast'               => 'fa-eercast',
			'fa-microchip'             => 'fa-microchip',
			'fa-snowflake-o'           => 'fa-snowflake-o',
			'fa-superpowers'           => 'fa-superpowers',
			'fa-wpexplorer'            => 'fa-wpexplorer',
			'fa-meetup'                => 'fa-meetup'
		);
		ksort($all_icons);

		return $all_icons;
	}

	public static function format_font_awesome_icon_name( $value ){

		// if icon name starts with 'fa-' then create its name
		if (strpos( $value, 'fa-') === 0) {
			// remove spaces and capitalise each word
			$value = ucwords( str_replace( array('fa-','-'), " ", $value ) );
		}

		return esc_html( $value );
	}
}